# Uses of Class
javax.xml.namespace.QName

Packages that use QName
Package
Description
javax.xml.datatype
Defines XML/Java Type Mappings.
javax.xml.namespace
Defines XML Namespace processing.
javax.xml.stream
Defines interfaces and classes for the Streaming API for XML (StAX).
javax.xml.stream.events
Defines event interfaces for the Streaming API for XML (StAX).
javax.xml.stream.util
Provides utility classes for the Streaming API for XML (StAX).
javax.xml.xpath
Provides an object-model neutral API for the evaluation of XPath expressions and access to the evaluation environment.

- ## Uses of QName in javax.xml.datatype

  Fields in javax.xml.datatype declared as QName
  Modifier and Type
  Field
  Description
  `static final QName`
  DatatypeConstants.`DATE`
  Fully qualified name for W3C XML Schema 1.0 datatype `date`.
  `static final QName`
  DatatypeConstants.`DATETIME`
  Fully qualified name for W3C XML Schema 1.0 datatype `dateTime`.
  `static final QName`
  DatatypeConstants.`DURATION`
  Fully qualified name for W3C XML Schema datatype `duration`.
  `static final QName`
  DatatypeConstants.`DURATION_DAYTIME`
  Fully qualified name for XQuery 1.0 and XPath 2.0 datatype `dayTimeDuration`.
  `static final QName`
  DatatypeConstants.`DURATION_YEARMONTH`
  Fully qualified name for XQuery 1.0 and XPath 2.0 datatype `yearMonthDuration`.
  `static final QName`
  DatatypeConstants.`GDAY`
  Fully qualified name for W3C XML Schema 1.0 datatype `gDay`.
  `static final QName`
  DatatypeConstants.`GMONTH`
  Fully qualified name for W3C XML Schema 1.0 datatype `gMonth`.
  `static final QName`
  DatatypeConstants.`GMONTHDAY`
  Fully qualified name for W3C XML Schema 1.0 datatype `gMonthDay`.
  `static final QName`
  DatatypeConstants.`GYEAR`
  Fully qualified name for W3C XML Schema 1.0 datatype `gYear`.
  `static final QName`
  DatatypeConstants.`GYEARMONTH`
  Fully qualified name for W3C XML Schema 1.0 datatype `gYearMonth`.
  `static final QName`
  DatatypeConstants.`TIME`
  Fully qualified name for W3C XML Schema 1.0 datatype `time`.
  Methods in javax.xml.datatype that return QName
  Modifier and Type
  Method
  Description
  `QName`
  Duration.`getXMLSchemaType()`
  Return the name of the XML Schema date/time type that this instance maps to.
  `abstract QName`
  XMLGregorianCalendar.`getXMLSchemaType()`
  Return the name of the XML Schema date/time type that this instance maps to.

- ## Uses of QName in javax.xml.namespace

  Methods in javax.xml.namespace that return QName
  Modifier and Type
  Method
  Description
  `static QName`
  QName.`valueOf(String qNameAsString)`
  Returns a `QName` from its string representation.

- ## Uses of QName in javax.xml.stream

  Methods in javax.xml.stream that return QName
  Modifier and Type
  Method
  Description
  `QName`
  XMLStreamReader.`getAttributeName(int index)`
  Returns the qname of the attribute at the provided index
  `QName`
  XMLStreamReader.`getName()`
  Returns a QName for the current START_ELEMENT or END_ELEMENT event
  Methods in javax.xml.stream with parameters of type QName
  Modifier and Type
  Method
  Description
  `abstract Attribute`
  XMLEventFactory.`createAttribute(QName name, String value)`
  Create a new Attribute
  `abstract EndElement`
  XMLEventFactory.`createEndElement(QName name, Iterator<? extends Namespace> namespaces)`
  Create a new EndElement
  `abstract StartElement`
  XMLEventFactory.`createStartElement(QName name, Iterator<? extends Attribute> attributes, Iterator<? extends Namespace> namespaces)`
  Create a new StartElement.

- ## Uses of QName in javax.xml.stream.events

  Methods in javax.xml.stream.events that return QName
  Modifier and Type
  Method
  Description
  `QName`
  Attribute.`getName()`
  Returns the QName for this attribute.
  `QName`
  EndElement.`getName()`
  Get the name of this event
  `QName`
  StartElement.`getName()`
  Get the name of this event
  `QName`
  XMLEvent.`getSchemaType()`
  This method is provided for implementations to provide optional type information about the associated event.
  Methods in javax.xml.stream.events with parameters of type QName
  Modifier and Type
  Method
  Description
  `Attribute`
  StartElement.`getAttributeByName(QName name)`
  Returns the attribute referred to by the qname.

- ## Uses of QName in javax.xml.stream.util

  Methods in javax.xml.stream.util that return QName
  Modifier and Type
  Method
  Description
  `QName`
  StreamReaderDelegate.`getAttributeName(int index)`
  `QName`
  StreamReaderDelegate.`getName()`

- ## Uses of QName in javax.xml.xpath

  Fields in javax.xml.xpath declared as QName
  Modifier and Type
  Field
  Description
  `static final QName`
  XPathConstants.`BOOLEAN`
  The XPath 1.0 boolean data type.
  `static final QName`
  XPathConstants.`NODE`
  The XPath 1.0 NodeSet data type.
  `static final QName`
  XPathConstants.`NODESET`
  The XPath 1.0 NodeSet data type.
  `static final QName`
  XPathConstants.`NUMBER`
  The XPath 1.0 number data type.
  `static final QName`
  XPathConstants.`STRING`
  The XPath 1.0 string data type.
  Methods in javax.xml.xpath that return QName
  Modifier and Type
  Method
  Description
  `static QName`
  XPathEvaluationResult.XPathResultType.`getQNameType(Class<?> clsType)`
  Returns the QName type as specified in `XPathConstants` that corresponds to the specified class type.
  Methods in javax.xml.xpath with parameters of type QName
  Modifier and Type
  Method
  Description
  `Object`
  XPath.`evaluate(String expression, Object item, QName returnType)`
  Evaluate an `XPath` expression in the specified context and return the result as the specified type.
  `Object`
  XPath.`evaluate(String expression, InputSource source, QName returnType)`
  Evaluate an XPath expression in the context of the specified `InputSource` and return the result as the specified type.
  `Object`
  XPathExpression.`evaluate(Object item, QName returnType)`
  Evaluate the compiled XPath expression in the specified context and return the result as the specified type.
  `Object`
  XPathExpression.`evaluate(InputSource source, QName returnType)`
  Evaluate the compiled XPath expression in the context of the specified `InputSource` and return the result as the specified type.
  `XPathFunction`
  XPathFunctionResolver.`resolveFunction(QName functionName, int arity)`
  Find a function in the set of available functions.
  `Object`
  XPathVariableResolver.`resolveVariable(QName variableName)`
  Find a variable in the set of available variables.